Redmine - Defect #7152

Gantt Charts are not working
2010-12-21 17:48 - Prasad Patil

Status: Closed Start date: 2010-12-21
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Wont fix Affected version: 1.0.4
Description

Hi,

| am using Redmine - 1.0.4 (2010-11-28) with Mysqgl 5.1 on Windows XP machine.
To replicate this issue follow the steps below.

. Create a sample Project "Template 1"

. Add a new Tracker called "Task" via the administration options

. For the Project add Issue Categories e.g. Project Meetings

. Create a new issue For the Project. For this new issues select the Tracker as "Task" and Category as "Project Meetings".
. Now on the Issue Filter Options in Add Filter dropdown select "Category".

. For this Category select Category "is" + "Project Meetings"

. Apply this filter. Now you will see only issues with Category "Project Meetings"

8. Save this as query as "Project Meetings". When saving the Query mark it as "Public" and select the Status as "All" and save the
query.

9. In the Administration select "Projects" Copy the above Project to create new project. In the Copy option select

Issue categories, Issues, Custom Queries, Members, Wiki pages, Forums.

10. Select the new created Project. Click on Issues Tab. Log time against this issue.

11. When you select Gantt charts, it does not display anything.

NOoO Ok W=

Are some of the fields mandatory for Gantt charts.

Regards,
Prasad

History

#1 - 2010-12-21 19:03 - Mischa The Evil

Prasad Patil wrote:

Are some of the fields mandatory for Gantt charts.

Yes. Currently on Redmine 1.0.x, issues with no start date are not shown on the Gantt chart, even though they may have an end date and be part of a
target version. This behaviour probably changes in Redmine 1.1.x (see #3011 and #6407).

#2 - 2010-12-22 00:36 - Prasad Patil

The issues need Target Version and Start Date to appear on the Gantt chart

#3 - 2010-12-22 01:02 - Mischa The Evil

Prasad Patil wrote:

The issues need Target Version and Start Date to appear on the Gantt chart

Target version is not required IMHO. Issues with both a start and due date but without a target version should also show-up in the Gantt on Redmine
1.0.x.

#4 - 2010-12-22 01:15 - Prasad Patil

When you specify the start date and due date, the issue appears on the Gantt.

2025-07-11 1/2



https://www.redmine.org/issues/3011
https://www.redmine.org/issues/6407

If you don't have the Due date for the issue you can set the Target Version and Start Date for the issue to appear on the Gantt.

Regards,
Prasad

#5 - 2010-12-22 01:45 - Mischa The Evil

Prasad Patil wrote:
When you specify the start date and due date, the issue appears on the Gantt.
If you don't have the Due date for the issue you can set the Target Version and Start Date for the issue to appear on the Gantt.

Thanks for this deepening... :)

#6 - 2010-12-22 21:27 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Wont fix

Closing this since the new gantt in 1.1 will show all issues.
